package oss

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type DelOssRequest struct {
	*requests.JsonRequest
	BucketName string `position:"Body" field:"bucket_name" default:"image"`
	MediaUrl   string `position:"Body" field:"url" default:"-"`
}

type DelOssResponse struct {
	*responses.BaseResponse
}

func CreateDelOssRequest() (req *DelOssRequest) {
	req = &DelOssRequest{
		JsonRequest: &requests.JsonRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/upload/del")
	req.Method = requests.POST
	return
}

func CreateDelOssResponse() (resp *DelOssResponse) {
	return &DelOssResponse{
		BaseResponse: &responses.BaseResponse{},
	}
}
